## ros-indigo-chatter-concert 0.6.7

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(chatter_concert)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)
catkin_package()

##############################################################################
# Installs
##############################################################################

install(
    PROGRAMS 
        scripts/view_link_graph
        scripts/remocon_dude
        scripts/static_link_graph_service.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )

install(DIRECTORY solution
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY orchestration
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY services
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY concert
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== orchestration/Makefile ===

link_graph:
	dot -Tpng implementation.dot -o link_graph.png
	eog link_graph.png
	
clean:
	rm link_graph.png

=== debian/changelog ===
ros-indigo-chatter-concert (0.6.7-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 05 May 2015 15:00:00 -0000

ros-indigo-chatter-concert (0.6.6-0trusty) trusty; urgency=high

  * disable zeroconf option
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-indigo-chatter-concert (0.6.5-0trusty) trusty; urgency=high

  * revert unused src
  * change name of auto enable service argument
  * Contributors: dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-chatter-concert (0.6.4-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 06 Jan 2015 15:00:00 -0000

ros-indigo-chatter-concert (0.6.3-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 04 Jan 2015 15:00:00 -0000

ros-indigo-chatter-concert (0.6.2-0trusty) trusty; urgency=high

  * updating compatibility of webapps and weburls closes #50 <https://github.com/robotics-in-concert/rocon_tutorials/issues/50>
  * [chatter_concert] unit test esoteric names.
  * auto_enable_services now use all instead of bool
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 28 Nov 2014 15:00:00 -0000

ros-indigo-chatter-concert (0.6.1-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 25 Aug 2014 15:00:00 -0000

ros-indigo-chatter-concert (0.6.0-0trusty) trusty; urgency=high

  * introducing parameters for link graph
  * use proper lists for hubs/concerts now roslaunch can handle it.
  * a roslaunch interaction for show and tell
  * a roslaunch for chatter interactions.
  * update pairing interactions and chatter interactions for testing.
  * add Turtle Concert for dudes/dudettes, useful for testing.
  * small bugfixes due to pairing update.
  * update concert client launchers for chatter and pairing tutorials.
  * update for new web url interactions
  * conductor graph now needs a console arg for running in a shell.
  * revert back to 2-4 dudes in chatter concert.
  * add monitoring shells for the chatter concert rocon launch.
  * a conductor graph for easy testing of conductor upgrades.
  * local machine args for babbler and turtle concert, see also #36 <https://github.com/robotics-in-concert/rocon_tutorials/issues/36>.
  * usable configuration for service priorities.
  * update the android interaction
  * local machine args for switching.
  * rocon_service -> concert_service
  * revert the flexibility, not possible because nested subst variables (find outside of an arg) in the concert master launcher.
  * update to new concert arg format.
  * override -> overrides
  * keep chatter concert simple, create babbler concert as an illustrative customisation.
  * parameterisation and override experiments, solution bundling folders added.
  * bugfix logo location.
  * rename resource to resource_name
  * solution parameter tests
  * add services file for solution
  * update concert format to load services file
  * switch to icons in rocon_icons.
  * doc interactions for the chatter and turtle concerts
  * bugfix the chatter qt program.
  * upgrade interactions for chatter concert.
  * moved services to new rocon_services repo.
  * default to a central admin service.
  * chatter has its own qt listener
  * shadow admin service for chatter concert.
  * adjustments to drop heir-part of uri if no concert name
  * upgrade to service exports instead of service lists.
  * chatter and turtle concerts upgraded for the new rocon uri.
  * condense interactions list.
  * concert_service_roslaunch -> concert_service_link_graph.
  * platform tuple overhaul.
  * update for exported rapp specifications.
  * environment variables for selecting the scheduler/requester (beware incomptaibile combinations)
  * use an environment variable optionally here.
  * forgot to switch the requester for these...closes #17 <https://github.com/robotics-in-concert/rocon_tutorials/issues/17>
  * open the range, default to demo scheduler.
  * use compatibility tree for chatter concert.
  * minor modifications, also updated chatter and turtle concerts.
  * titles for chatter and turtle concerts.
  * deprecate the old platform info message.
  * updates for legacy master.
  * parameterisation for local remote control of clients only.
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 25 Aug 2014 15:00:00 -0000

ros-indigo-chatter-concert (0.5.6-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-chatter-concert (0.5.5-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 06 Aug 2013 15:00:00 -0000

ros-indigo-chatter-concert (0.5.4-0trusty) trusty; urgency=high

  * rapp list path fix
  * 0.5.3
  * 0.5.2
  * updating run depends

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 17 Jul 2013 15:00:00 -0000

ros-indigo-chatter-concert (0.5.3-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 03 Jun 2013 15:00:00 -0000

ros-indigo-chatter-concert (0.5.2-0trusty) trusty; urgency=high

  * updating run depends
  * 0.5.1
  * install concert directory
  * 0.5.0

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 May 2013 15:00:00 -0000

ros-indigo-chatter-concert (0.5.1-0trusty) trusty; urgency=high

  * install concert directory

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 May 2013 02:49:00 -0000

ros-indigo-chatter-concert (0.5.0-0trusty) trusty; urgency=high

  * update to handle fix for app absolute remappings
  * updated for dynamic handling joing and leaving.
  * testies with dynamic client handling.
  * new test configuration scenario for dynamic client handling.
  * app list to rapp list
  * rocon_orchestra -> concert_orchestra
  * removed non shared includes.
  * utilising the new conductor launcher and renaming included launchers.
  * 0.4.0
  * 0.3.4


=== debian/control ===
Source: ros-indigo-chatter-concert
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/chatter_concert
Standards-Version: 3.9.2

Package: ros-indigo-chatter-concert
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-concert-master, ros-indigo-concert-service-admin, ros-indigo-concert-service-link-graph, ros-indigo-concert-service-utilities, ros-indigo-rocon-app-manager, ros-indigo-rocon-apps, ros-indigo-rocon-bubble-icons, ros-indigo-rocon-python-utils, ros-indigo-rospy-tutorials, ros-indigo-zeroconf-avahi
Description: A very simple software concert with talker/listener apps.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-chatter-concert//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
